Subject: Re: How to diagnose Cygwin / Windows shutdown problem
From: "Richard Anderson" <[email-masked]>
To: "Timothy C Prince" <[email-masked]>
Cc: <[email-masked]>
Date: Wed, 23 Jul 2003 11:07:05 -0700

So this is a know issue? Seems like non-standard behavior for a Windows app.
All Windows apps that I know of catch the shutdown interrupt, clean up their
data structures and exit gracefully.  Is there some reason why Cygwin can't
do this?

Richard Anderson
[email-masked]
[email-masked]
www.richard-anderson.org
www.raycosoft.com
----- Original Message ----- 
From: "Timothy C Prince" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Sent: Wednesday, July 23, 2003 10:27 AM
Subject: Re: How to diagnose Cygwin / Windows shutdown problem

I'm happy to end bash with an "exit" or ctrl-D to allow it to keep its
records in order.  When "Windows cannot end..." you have the choice of
killing it or winding it up properly.

-----Original Message-----
From: "Richard Anderson" <[email-masked]>
To: <[email-masked]>
Date: Wed, 23 Jul 2003 10:02:01 -0700
Subject: How to diagnose Cygwin / Windows shutdown problem

When I start Cygwin 1.3.22-1 and then try to shut down Windows XP using the
normal Start / Turn Off Computer procedure, Windows pops up the "End
Program - Cygwin ... Windows cannot end this program" dialog box.  The
cygwin ps command shows only a bash shell running.

I tried using Start / Run / msconfig to disable the startup of all
applications and rebooting, but the problem persists.  I'm guessing that the
next step would be to uninstall and reinstall Cygwin.  Any suggestions?

Richard Anderson
[email-masked]
[email-masked]
www.richard-anderson.org
www.raycosoft.com
----- Original Message ----- 
From: "Richard Anderson" <[email-masked]>
To: <[email-masked]>
Sent: Monday, July 21, 2003 9:00 PM
Subject: Cygwin prevents normal Windows shutdown

> When I start Cygwin 1.3.22-1 with the installed shortcut (which points to
> C:\cygwin\cygwin.bat) and then try to shut down Windows XP using the
normal
> Start / Turn Off Computer procedure, Windows pops up the "End Program -
> Cygwin ... Windows cannot end this program" dialog box.  The cygwin ps
> command shows only a bash shell running.
>
> Is there some way to prevent this behavior?
>
> Richard Anderson
> [email-masked]
> [email-masked]
> www.richard-anderson.org
> www.raycosoft.com
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/

Tim Prince

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/